﻿Type=Class
Version=2.7
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim SP As SoundPool
	Dim iA(12) As Int
	Dim compare As String = "0123456789*#" 
	
	Dim PlayTimer As Timer
	Dim Tones As String
	Dim Counter As Int
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	SP.Initialize(4)
	
	PlayTimer.Initialize("PlayTimer", 200) '<-- the smaller the number the faster it plays
	
	iA(0) = SP.Load(File.DirAssets, "dtmf_0.mp3")
	iA(1) = SP.Load(File.DirAssets, "dtmf_1.mp3")
	iA(2) = SP.Load(File.DirAssets, "dtmf_2.mp3")
	iA(3) = SP.Load(File.DirAssets, "dtmf_3.mp3")
	iA(4) = SP.Load(File.DirAssets, "dtmf_4.mp3")
	iA(5) = SP.Load(File.DirAssets, "dtmf_5.mp3")
	iA(6) = SP.Load(File.DirAssets, "dtmf_6.mp3")
	iA(7) = SP.Load(File.DirAssets, "dtmf_7.mp3")
	iA(8) = SP.Load(File.DirAssets, "dtmf_8.mp3")
	iA(9) = SP.Load(File.DirAssets, "dtmf_9.mp3")
	iA(10) = SP.Load(File.DirAssets, "dtmf_star.mp3")
	iA(11) = SP.Load(File.DirAssets, "dtmf_pound.mp3")

End Sub

Sub play(s As String) As Int

	   Tones = s

				PlayTimer.Enabled = True
				
				Return s.Length

End Sub

Sub PlayTimer_Tick

				Dim ch As String
			
    ch = Tones.CharAt(Counter)
				
		  If compare.Contains(ch) Then		
			
			    SP.play(iA(compare.IndexOf(ch)), 1, 1, 1, 0, 1)
			 
		  End If							
	 
		  Counter = Counter + 1
				
				If Counter > Tones.Length - 1 Then
				
				   Counter = 0
							
							PlayTimer.Enabled = False

				End If
	   
End Sub